<?php

namespace Fazed\NyaaRssParser\Contracts\Factories;

use SimpleXMLElement;
use Fazed\NyaaRssParser\Contracts\HttpClient\ResponseContract;

interface ResponseFactoryContract
{
    /**
     * Make a new ResponseContract instance
     * from the provided response body.
     *
     * @param  null|SimpleXMLElement|object $responseData
     * @return ResponseContract
     */
    public function make($responseData);
}
